package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 已发货订单
 *
 * @author G
 * @date 2019-08-14 09:11:48
 */
public class TbCfItemShippedEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 发货时间
     */
    private Date deliveryTime;
    /**
     * 收货地址
     */
    private String deliveryAddress;
    /**
     * 用户id
     */
    private String userId;

    /**
     * 快递单号
     */
    private String expressId;

    /**
     * 商品ID
     */
    private String itemId;
    /**
     * 商品ID
     */
    private String itemNum;
    /**
     * 国家
     */
    private String country;
    /**
     * 商品品名
     */
    private String descripitionId;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getDescripitionId() {
        return descripitionId;
    }

    public void setDescripitionId(String descripitionId) {
        this.descripitionId = descripitionId;
    }

    /**
     * 设置：订单id
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取：订单id
     */
    public String getOrderId() {
        return orderId;
    }

    public Date getDeliveryTime() {
        return deliveryTime;
    }

    public void setDeliveryTime(Date deliveryTime) {
        this.deliveryTime = deliveryTime;
    }

    public String getDeliveryAddress() {
        return deliveryAddress;
    }

    public void setDeliveryAddress(String deliveryAddress) {
        this.deliveryAddress = deliveryAddress;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getExpressId() {
        return expressId;
    }

    public void setExpressId(String expressId) {
        this.expressId = expressId;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getItemNum() {
        return itemNum;
    }

    public void setItemNum(String itemNum) {
        this.itemNum = itemNum;
    }
}
